Subject: Re: Trying to use AUTHOR_DATE

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 29 Apr 2005 16:35:58 -0700

[email-masked] wrote:
> I'm using cogito-0.8 (036bb73c6dd1871101ca19557298684ab9832f81) and trying
> to set AUTHOR_DATE based on the "Date:" from the patch e-mail.  But, it
> appears that commit-tree is munging this based on my timezone.
> 
> Here's what I set in the environment before invoking cg-commit:
> 
>   AUTHOR_DATE="29 Apr 2005 02:02:00 -0700"
> 
> and here's what cg-log reports on the "author" line:
> 
>   Fri, 29 Apr 2005 10:02:00 -0700
> 
> My /etc/localtime is set for "US/Pacific" ... which is where the 8 hours
> comes from (I think).  If I set "TZ=GMT0BST" as well in the environment of
> cg-commit to override /etc/localtime, then the author time comes out ok,
> but then the "committer" time gets messed up.
> 

There was a time-parsing bug somewhere, where mktime() got invoked on a 
UTC date.  I proposed changing it to curl_gettime() instead.

	-hpa